### Function

# Ide g_content_type_get_symbolic_icon

#### Declaration

    GIcon*
    ide_g_content_type_get_symbolic_icon (
      const gchar* content_type,
      const gchar* filename
    )

#### Description

This function is similar to `g_content_type_get_symbolic_icon()` except that it takes our bundled icons into account to ensure that they are taken at a higher priority than the fallbacks from the current icon theme such as Adwaita.

In 3.40, this function was modified to add the `filename` parameter.

Available since: | 3.40

#### Parameters

`content_type` | `const gchar*`
| The content-type to lookup.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`filename` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GIcon`
| A `GIcon` or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.